# Created by pyp2rpm-3.3.2
%global pypi_name ansible-runner-http

Name:           %{pypi_name}
Version:        1.0
Release:        1%{?dist}
Summary:        Ansible Runner HTTP Event Emitter

License:        Apache
URL:            https://github.com/ansible/ansible-runner-http
Source0:        https://files.pythonhosted.org/packages/source/a/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python-setuptools

Requires:       ansible-runner
Requires:       python-requests
Requires:       python-requests-unixsocket
Requires:       python-setuptools

%description
This project is a plugin for Ansible Runner that allows emitting Ansible status
and events to HTTP services in the form of POST events. This can allow Runner to
notify other systems as Ansible jobs are run and to deliver key events to that
system if it's interested.

%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py2_build

%install
%py2_install

%files
%doc README.md
%{python2_sitelib}/ansible_runner_http
%{python2_sitelib}/ansible_runner_http-%{version}-py?.?.egg-info

%changelog
* Wed Dec 19 2018 Shane McDonald <shanemcd@redhat.com>
- 1.0 release
